| Version: 3.0.4

Public Member Functions | Protected Member Functions | List of all members
wxPGChoicesData Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGChoicesData:
[legend]

## Public Member Functions
| wxPGChoicesData ()
void | CopyDataFrom (wxPGChoicesData *data)
wxPGChoiceEntry & | Insert (int index, const wxPGChoiceEntry &item)
void | Clear ()
unsigned int | GetCount () const
const wxPGChoiceEntry & | Item (unsigned int i) const
wxPGChoiceEntry & | Item (unsigned int i)

## Protected Member Functions
virtual | ~wxPGChoicesData ()

## Constructor & Destructor Documentation

## ◆ wxPGChoicesData()

wxPGChoicesData::wxPGChoicesData | ( |  | ) |

## ◆ ~wxPGChoicesData()

virtual wxPGChoicesData::~wxPGChoicesData | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ Clear()

void wxPGChoicesData::Clear | ( |  | ) |

## ◆ CopyDataFrom()

void wxPGChoicesData::CopyDataFrom | ( | wxPGChoicesData * | data | ) |

## ◆ GetCount()

unsigned int wxPGChoicesData::GetCount | ( |  | ) | const

## ◆ Insert()

wxPGChoiceEntry& wxPGChoicesData::Insert | ( | int | index,
|  | const wxPGChoiceEntry & | item
| ) |  |

## ◆ Item() [1/2]

const wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) | const

## ◆ Item() [2/2]

wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) |